package com.qqchen.deploy.backend.notification.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 邮件优先级枚举
 *
 * @author qqchen
 * @since 2025-11-12
 */
@Getter
@AllArgsConstructor
public enum EmailPriorityEnum {
    
    /**
     * 低优先级
     */
    LOW("5", "低优先级"),
    
    /**
     * 普通优先级
     */
    NORMAL("3", "普通优先级"),
    
    /**
     * 高优先级
     */
    HIGH("1", "高优先级");
    
    /**
     * X-Priority 头部值
     */
    private final String priorityValue;
    
    /**
     * 优先级描述
     */
    private final String description;
}
